{% load static %}
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
	<title>Subscribe</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="google-signin-client_id" content="204398802764-c4ato6co8c5vnh2mrph55900rlonid9e.apps.googleusercontent.com">
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/iconic/css/material-design-iconic-font.min.css' %}">
<!--===============================================================================================-->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>	
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css'%}">
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css'%}">
	<link rel="stylesheet" type="text/css" href="{% static 'css/stylus.css'%}">
	<script src="https://apis.google.com/js/platform.js" async defer></script>
	<script src="{% static 'js/stylus.js' %}"></script>	
	<!--===============================================================================================-->
</head>
<body>
	
	<div class="limiter">
		<div class="container-login100" style="background-image: url({% static 'images/bg-01.jpg' %});">
			<div class="wrap-login100 p-l-55 p-r-55 p-t-65 p-b-54">
				<form class="login100-form validate-form" method="POST" id="form">
                    {% csrf_token %}
					<span class="login100-form-title p-b-49">
						Subscribe
					</span>

					<div class="wrap-input100 validate-input m-b-23" data-validate = "Username is required">
						<span class="label-input100">Username</span>
                        {{form.nama}}
						<span class="focus-input100" data-symbol="&#xf206;"></span>
					</div>

					<div class="wrap-input100 validate-input m-b-23" data-validate = "Email is required">
						<span class="label-input100">Email</span>
                        {{form.email}}
						<span class="focus-input100" data-symbol="&#xf15a;"></span>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Password is required">
						<span class="label-input100">Password</span>
                        {{form.password}}
						<span class="focus-input100" data-symbol="&#xf190;"></span>
					</div>
					<br>
					<div class="container-login100-form-btn">
						<div class="wrap-login100-form-btn">
							<div class="login100-form-bgbtn"></div>
                            <button class="login100-form-btn", type="submit">
								Subscribe
							</button>
						</div>
					</div>
					<div class="option">
						<p style = "text-align: center">or</p>
					</div>
					<div class = "googlebutton">
						<div class="g-signin2" data-onsuccess="onSignIn" style = "justify-content: center"></div>
					</div>
                </form>
				<div class="error"><p></p></div>
				<br>
				<a href="/list/" target="_blank"><p>Ingin melihat daftar subscriber?</p></a>
			</div>
		</div>
	</div>
	<script>
		function onSignIn(googleUser) {
			var profile = googleUser.getBasicProfile();
			var id_token = googleUser.getAuthResponse().id_token;
			signSign(id_token);
			// console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
			// console.log('Name: ' + profile.getName());
			// console.log('Image URL: ' + profile.getImageUrl());
			// console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.
			}
			function signOut() {
				var auth2 = gapi.auth2.getAuthInstance();
				auth2.signOut().then(function () {
				console.log('User signed out.');
				});
			}
			function signSign(token){
				var csrftoken = $("[name-csrfmiddlewaretoken]").val();
				$.ajax({
					method:"POST",
					url: "/login/",
					headers:{
						"X-CSRFToken": csrftoken
					},
					data:{id_token: token},
					success: function(result){
						console.log("udah sign in ea");
						if(result.status === "0"){
							window.location.replace(result.url);
						}
						else{
							html = "<h3>sumthing went wrong</h3>"
						}
					},
					error: function(error){
						alert("hiya hiya hiya ada yang salah")
					}
				})
			}

	</script>
</body>
</html>